# RakNet::Lobby2Server::ConfigurationProperties Struct Reference

Server configuration properties, to customize how the server runs specific commands. More...

`#include <Lobby2Server.h>`

List of all members.

## Public Attributes
bool | requiresEmailAddressValidationToLogin
| If true, Client_Login will fail with Client_Login_EMAIL_ADDRESS_NOT_VALIDATED unless the email address registered with Client_RegisterAccount is verified with the command System_SetEmailAddressValidated.
bool | requiresTitleToLogin
| If true Client_Login::titleName and Client_Login::titleSecretKey must be previously registered with System_CreateTitle or Client_Login will fail with L2RC_Client_Login_BAD_TITLE_OR_TITLE_SECRET_KEY.
bool | accountRegistrationRequiresCDKey
| If true, Client_RegisterAccount::cdKey must be previously registered with CDKey_Add or Client_RegisterAccount will fail with L2RC_Client_RegisterAccount_REQUIRES_CD_KEY or a related error message.
unsigned int | accountRegistrationRequiredAgeYears
| The minimum age needed to register accounts. If Client_RegisterAccount::createAccountParameters::ageInDays is less than this, then the account registration will fail with L2RC_Client_RegisterAccount_REQUIRED_AGE_NOT_MET.

## Detailed Description

Server configuration properties, to customize how the server runs specific commands.

## Member Data Documentation

unsigned int RakNet::Lobby2Server::ConfigurationProperties::accountRegistrationRequiredAgeYears

The minimum age needed to register accounts. If Client_RegisterAccount::createAccountParameters::ageInDays is less than this, then the account registration will fail with L2RC_Client_RegisterAccount_REQUIRED_AGE_NOT_MET.

Per-title age requirements can be handled client-side with System_CreateTitle::requiredAge and System_GetTitleRequiredAge

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Lobby2Server.h